# Standard Windows make file.  The utility MAKE.EXE compares the
# creation date of the file to the left of the colon with the file(s)
# to the right of the colon.  If the file(s) on the right are newer
# then the file on the left, Make will execute all of the command lines
# following this line that are indented by at least one tab or space.
# Any valid MS-DOS command line may be used.

# This line allows NMAKE to work as well

all: dllbasic.exe

# Update the resource if necessary

dllbasic.res: dllbasic.rc dllbasic.h
    rc -r dllbasic.rc

# Update the object file if necessary

dllbasic.obj: dllbasic.c dllbasic.h
    cl -c -AS -Gsw -Od -Zip dllbasic.c

# Update the executable file if necessary, and if so, add the resource back in.

dllbasic.exe: dllbasic.obj dllbasic.def
    link /CO/NOD dllbasic,,, libw slibcew, dllbasic.def
    rc dllbasic.res

# If the .res file is new and the .exe file is not, update the resource.
# Note that the .rc file can be updated without having to either 
# compile or link the file.

dllbasic.exe: dllbasic.res
    rc dllbasic.res
