# Standard Windows make file.  The utility MAKE.EXE compares the
# creation date of the file to the left of the colon with the file(s)
# to the right of the colon.  If the file(s) on the right are newer
# then the file on the left, Make will execute all of the command lines
# following this line that are indented by at least one tab or space.
# Any valid MS-DOS command line may be used.

# This line allows NMAKE to work as well

all: dllmidi.exe

# Update the resource if necessary

dllmidi.res: dllmidi.rc dllmidi.h
    rc -r dllmidi.rc

# Update the object file if necessary

dllmidi.obj: dllmidi.c dllmidi.h
    cl -c -AS -Gsw -Od -Zip dllmidi.c

# Update the executable file if necessary, and if so, add the resource back in.

dllmidi.exe: dllmidi.obj dllmidi.def
    link /CO/NOD dllmidi,,, libw slibcew, dllmidi.def
    rc dllmidi.res

# If the .res file is new and the .exe file is not, update the resource.
# Note that the .rc file can be updated without having to either 
# compile or link the file.

dllmidi.exe: dllmidi.res
    rc dllmidi.res
