#define IDM_ABOUT           100
#define IDM_START           101
#define IDM_STOP            102
#define IDM_PAUSE           103
#define IDM_CONTINUE        104
#define IDM_TRANSPOSE_UP    105
#define IDM_TRANSPOSE_DOWN  106
#define IDM_TEMPO_UP        107
#define IDM_TEMPO_DOWN      108
#define IDM_FADE_IN         109
#define IDM_FADE_OUT        110

#define IDT_CARDNAME        101
#define IDT_DLLVERSION      102

void PlayMusicProcess       (void);
void StopMusicProcess       (void);
void PauseMusicProcess      (void);
void ContinueMusicProcess   (void);
void TransposeMusic         (int);
void ChangeMusicTempo       (int);
void SetFading              (WORD);
void ReleaseMemory          (void);
void DisplayMusicFlag       (WORD);
void DisplayErrorCode       (WORD);
void DisplayTempoValue      (int);
void DisplayTransposeValue  (int);

BOOL InitApplication (HANDLE);
BOOL InitInstance (HANDLE, int);
int PASCAL WinMain (HANDLE, HANDLE, LPSTR, int);
BOOL FAR PASCAL About (HWND, unsigned, WORD, LONG);
long FAR PASCAL MainWndProc (HWND, unsigned, WORD, LONG);
