# Standard Windows make file.  The utility MAKE.EXE compares the
# creation date of the file to the left of the colon with the file(s)
# to the right of the colon.  If the file(s) on the right are newer
# then the file on the left, Make will execute all of the command lines
# following this line that are indented by at least one tab or space.
# Any valid MS-DOS command line may be used.

# This line allows NMAKE to work as well

all: dllmusic.exe

# Update the resource if necessary

dllmusic.res: dllmusic.rc dllmusic.h
    rc -r dllmusic.rc

# Update the object file if necessary

dllmusic.obj: dllmusic.c dllmusic.h
    cl -c -AS -Gsw -Od -Zip dllmusic.c

# Update the executable file if necessary, and if so, add the resource back in.

dllmusic.exe: dllmusic.obj dllmusic.def
    link /CO/NOD dllmusic,,, libw slibcew, dllmusic.def
    rc dllmusic.res

# If the .res file is new and the .exe file is not, update the resource.
# Note that the .rc file can be updated without having to either 
# compile or link the file.

dllmusic.exe: dllmusic.res
    rc dllmusic.res
