#define SBCERR_NO_CARD		   001

#define SBCERR_DEVICE_NOT_READY    100
#define SBCERR_DEVICE_NOT_OPEN	   101
#define SBCERR_DEVICE_BUSY	   102

#define SBCERR_NO_MEMORY	   200
#define SBCERR_INVALID		   201
#define SBCERR_BUFSIZE_TOOSMALL    202

#define SBCERR_INVALID_FORMAT	   300
#define SBCERR_CREATE_FILE	   301
#define SBCERR_OPEN_FILE	   302
#define SBCERR_READ_FILE	   303
#define SBCERR_WRITE_FILE	   304
#define SBCERR_DISK_FULL	   305


#define SBM_CALLBACK		   01

#define SBM_VOC_FLAG		   20
#define SBM_VOC_REPEAT_COUNT	   21
#define SBM_VOC_REPEAT_END	   22

#define SBM_MUS_FLAG		   40

#define SBM_MIDI_IN		   60


#define VP_PLAY_FILEVOC 	   1
#define VP_RECORD_FILEVOC	   2
#define VP_PLAY_MEMVOC		   3
#define VP_RECORD_MEMVOC	   4
#define VP_PLAY_MEMUNFMT	   5
#define VP_RECORD_MEMUNFMT	   6

#define MP_PLAY_MEMMIDI 	   1


WORD  FAR PASCAL sbcGetDLLVersion(VOID) ;
LPSTR FAR PASCAL sbcGetCardName(VOID) ;
VOID FAR PASCAL sbcTerminateDLL(VOID) ;
VOID FAR PASCAL sbcCallBack(DWORD) ;

WORD FAR PASCAL vocOpenDevice(HWND) ;
WORD FAR PASCAL vocCloseDevice(VOID) ;
DWORD FAR PASCAL vocGetDeviceStatus(VOID) ;
WORD FAR PASCAL vocGetMarker(VOID) ;
DWORD FAR PASCAL vocGetRecordCount() ;

WORD FAR PASCAL vocStopVoice(VOID) ;
WORD FAR PASCAL vocPauseVoice(VOID) ;
WORD FAR PASCAL vocContinueVoice(VOID) ;
WORD FAR PASCAL vocSetVolume(WORD) ;
WORD FAR PASCAL vocSetDacSpeaker(WORD) ;

WORD FAR PASCAL vocBreakLoop(WORD) ;

WORD FAR PASCAL vocPlayFileVocFormat(LPSTR) ;
WORD FAR PASCAL vocRecordFileVocFormat(LPSTR,WORD) ;
WORD FAR PASCAL vocPlayMemVocFormat(LPSTR) ;
WORD FAR PASCAL vocRecordMemVocFormat(LPSTR,WORD,DWORD) ;
WORD FAR PASCAL vocPlayMemUnFormat(LPSTR,WORD,DWORD) ;
WORD FAR PASCAL vocRecordMemUnFormat(LPSTR,WORD,DWORD) ;


WORD FAR PASCAL musOpenDevice(HWND) ;
WORD FAR PASCAL musCloseDevice() ;
DWORD FAR PASCAL musGetDeviceStatus() ;
WORD FAR PASCAL musGetMarker() ;
WORD FAR PASCAL musStopMusic() ;
WORD FAR PASCAL musPauseMusic() ;
WORD FAR PASCAL musContinueMusic() ;
WORD FAR PASCAL musChangeTempo(WORD) ;
WORD FAR PASCAL musTransposeNote(int) ;
WORD FAR PASCAL musFadeMusic(WORD,WORD,WORD,WORD) ;
WORD FAR PASCAL musSetVolume(WORD) ;

WORD FAR PASCAL musPlayMemMidi(LPSTR) ;



WORD FAR PASCAL midiOpenInputDevice(HWND) ;
WORD FAR PASCAL midiCloseInputDevice() ;
WORD FAR PASCAL midiOpenOutputDevice(HWND) ;
WORD FAR PASCAL midiCloseOutputDevice() ;
WORD FAR PASCAL midiStartInput() ;
WORD FAR PASCAL midiStopInput() ;
WORD FAR PASCAL midiOutputShortMessage(WORD,WORD,WORD) ;
WORD FAR PASCAL midiOutputLongMessage(LPSTR,WORD) ;

     typedef struct
     {
	  BYTE	    cID[20] ;
	  WORD	    wDataOffset ;
	  WORD	    wVersion ;
	  WORD	    wID ;
     } VOCHEADER ;
